#
# spec file for package tkworld (Version 1.3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim

Name:         tkworld
Copyright:    Wes Bailey
Group:        Development/Languages/Tcl
Requires:     tk tcl
Autoreqprov:  on
Version:      1.3.0
Release:      300
Summary:      3 Tk-frontends
Source: tkWorld-1.3.0.tgz

%description
tkWorld provides a unique graphical user interface for over 20
frequently used shell commands. The commands can be provided with
arguments and combined to pipelines via mouse clicks.

Authors:
--------
    Wes Bailey <tkworld@tkworld.org>

SuSE series: tcl

%prep
%setup -n tkWorld

%install
mkdir -p /usr/X11R6/lib/tkWorld
cp -a lib tkWorld.tcl /usr/X11R6/lib/tkWorld
rm -f /usr/X11R6/bin/tkworld
ln -s ../lib/tkWorld/tkWorld.tcl /usr/X11R6/bin/tkworld

%files
/usr/X11R6/lib/tkWorld
/usr/X11R6/bin/tkworld
%doc dist/README

%changelog -n tkworld
* Tue Apr 10 2001 - ro@suse.de
- added group tag
* Thu Oct 28 1999 - max@suse.de
- new version 1.3 runs with Tck/Tk 8.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Dec 17 1997 - hf@suse.de
  changed directory for tools
* Mon Oct 20 1997 - hf@suse.de
  ready for autobuild
* Tue Aug 26 1997 - hf@suse.de
  A new version of tkWorld works with tcl7.6 and tk4.2.
  So far tkWorld has 4 applications:
- tkGrep, is a Graphical User Interface to the Unix Grep command.
- tkREM, provides a Graphical User Interface for building Regular
  Expressions.
- tkLB, is the Help Viewer for all applications.
- tkWinstall, Tired of those crappy installation procedures which always
  seem to fail?
